%define upstream_name    WWW-Mailman
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interact with Mailman's web interface from a Perl program
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch: noarch

%description
'WWW::Mailman' is a module to control *Mailman* (as a subscriber, moderator
or administrator) without the need of a web browser.

The module handles authentication transparently and can take advantage of
stored cookies to speed it up.

It is meant as a building block for your own Mailman-managing scripts, and
will include more routines in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README META.json eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-2.mga6
+ Revision: 1035731
- Rebuild for perl 5.22.2

* Mon Jan 18 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 925426
- imported package perl-WWW-Mailman


* Mon Jan 18 2016 cpan2dist 1.06-1mga
- initial mageia release, generated with cpan2dist
